# Sinograms.jl
Julia library for working with
sinograms / tomography / Radon transform / cone-beam CT / CBCT

https://github.com/JuliaImageRecon/Sinograms.jl

[![action status][action-img]][action-url]
[![codecov][codecov-img]][codecov-url]
[![license][license-img]][license-url]
[![docs-stable][docs-stable-img]][docs-stable-url]
[![docs-dev][docs-dev-img]][docs-dev-url]
[![code-style][code-blue-img]][code-blue-url]
<img src="docs/src/assets/logo.png" alt="logo" width="150"/>

See the examples under the blue "docs" badges above.

Tested with Julia ≥ 1.8.


### Related packages in Julia

* [JuliaImageRecon](https://github.com/JuliaImageRecon)
* [Michigan Image Reconstruction Toolbox (MIRT)](https://github.com/JeffFessler/MIRT.jl)
* https://github.com/JuliaImages/ImageReconstruction.jl (`radon`, `iradon`)
* https://github.com/JeffFessler/SPECTrecon.jl


### Related packages in other languages

* See the Tomopedia list: https://tomopedia.github.io/software
* CASToR https://castor-project.org
* Duke MCR todo
* FreeCT http://cvib.ucla.edu/freect C/CUDA
* SIRF https://github.com/SyneRBI/SIRF


<!-- URLs -->
[action-img]: https://github.com/JuliaImageRecon/Sinograms.jl/workflows/CI/badge.svg
[action-url]: https://github.com/JuliaImageRecon/Sinograms.jl/actions
[build-img]: https://github.com/JuliaImageRecon/Sinograms.jl/workflows/CI/badge.svg?branch=main
[build-url]: https://github.com/JuliaImageRecon/Sinograms.jl/actions?query=workflow%3ACI+branch%3Amain
[code-blue-img]: https://img.shields.io/badge/code%20style-blue-4495d1.svg
[code-blue-url]: https://github.com/invenia/BlueStyle
[codecov-img]: https://codecov.io/github/JuliaImageRecon/Sinograms.jl/coverage.svg?branch=main
[codecov-url]: https://codecov.io/github/JuliaImageRecon/Sinograms.jl?branch=main
[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-stable-url]: https://JuliaImageRecon.github.io/Sinograms.jl/stable
[docs-dev-img]: https://img.shields.io/badge/docs-dev-blue.svg
[docs-dev-url]: https://JuliaImageRecon.github.io/Sinograms.jl/dev
[license-img]: http://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat
[license-url]: LICENSE
